> [!CAUTION]
> This index file is not used anymore

# Money Manager Ex for Android

Welcome to Money Manager Ex for Android documentation.

## Introduction

Money Manager Ex is a free, open-source, cross-platform, easy-to-use personal finance software. It primarily helps organize one's finances and keeps track of where, when, and how the money goes. It is also a great tool to get a bird's eye view of your financial worth.

The Android version of Money Manager Ex is aimed at bringing these features to your mobile devices, allowing you to manage your finances on the go.

## Features

- **Simple Interface:** The app provides an intuitive and user-friendly interface, making it easy for anyone to use.
- **Expense Tracking:** Keep track of your expenses and categorize them for better organization.
- **Income Management:** Monitor your income sources and manage them efficiently.
- **Budget Planning:** Set up budgets for different categories and track your spending to stay within your limits.
- **Reports:** Generate various reports to analyze your financial activities and make informed decisions.
- **Sync:** Synchronize your data across multiple devices using cloud services for seamless access.
- **Security:** Protect your financial data with passwords and encryption to ensure privacy and security.
- **Customization:** Customize categories, currencies, and other settings to suit your specific needs.

## Installation

Money Manager Ex for Android can be installed from the F-Droid or directly from the source code available on GitHub.

1. **F-Droid:** Simply search for "Money Manager Ex" on the Play Store, and install it like any other app.

2. **From Source Code:**
   - Clone the repository to your local machine using Git.
   - Open the project in Android Studio.
   - Build the project and install the APK on your Android device.

3. **From Google Play Store:** 
Install directly from [Google play store](https://play.google.com/store/apps/details?id=com.money.manager.ex.android).
If you like to contribute you can also enroll as [beta tester](https://play.google.com/apps/testing/com.money.manager.ex.android).

## Getting Started

Once installed, launch the app and follow the on-screen instructions to set up your accounts and start managing your finances.

For detailed usage instructions and troubleshooting tips, refer to the [User Guide](user-guide.md).

## Contributing

Money Manager Ex is an open-source project, and contributions from the community are welcome. If you'd like to contribute code, report issues, or suggest improvements, please visit the [GitHub repository](https://github.com/moneymanagerex/android-money-manager-ex) and follow the guidelines provided in the [Contributing Guide](CONTRIBUTING.md).

## License

Money Manager Ex for Android is released under the [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.en.html). You are free to use, modify, and distribute this software in accordance with the terms of the license.

For more information, please visit the [official website](https://www.moneymanagerex.org/) or contact the developers via [GitHub](https://github.com/moneymanagerex).

