---
layout: single
---

## Install from your preferred source
[<img alt="Get it on F-Droid" src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" width="240">](https://f-droid.org/packages/com.money.manager.ex)
[<img alt="Get it on GitHub" src="https://raw.githubusercontent.com/Kunzisoft/Github-badge/main/get-it-on-github.png" width="240">](https://github.com/moneymanagerex/android-money-manager-ex/releases/latest)
[<img alt="Get it on Google Play" src="http://steverichey.github.io/google-play-badge-svg/img/en_get.svg" width="240">](https://play.google.com/store/apps/details?id=com.money.manager.ex.android)

## Usage Types
You can use this app in standalone mode, by simply create a DB from your mobile device or use in companion mode with desktop environment.
Almost all feature can be used directly on mobile device. Feature can be:
* Available as standalone function. This means that no internet and no desktop version is necessary. ![available-standalone]( {{"/assets/badges/available-standalone.svg" | relative_url }} )
* Usable directly on your mobile but require internet connection ![require-connection]( {{"/assets/badges/require-connection.svg" | relative_url }} )
* Require desktop version ![require-desktop]( {{"/assets/badges/require-desktop.svg" | relative_url }} )
* Feature that does not work properly on mobile are marked with ![available-standalone-red]( {{"/assets/badges/available-standalone-red.svg" | relative_url }} )

### Quickstart as standalone version
* Create new DB on mobile. Follow wizard and create your db on preferred folder on mobile
* Create Initial Account, set as default if you would like to has it as default when enter transaction
* Start record your expenses

### Quickstart as companion app for desktop
* Use your own cloud provider to synchronize file created on desktop with your mobile device. Basically any cloud provider that support [SAF (Storage Access Framework)](https://developer.android.com/guide/topics/providers/document-provider) will work. Known work cloud providers:
  * Google Drive
  * OneDrive
  * NextCloud
  * OwnCloud
  * ...
* On desktop save your file into your own cloud provider. 
* On Android open file from your cloud provider.

> **Notice!** {: .notice--warning }
> If your Remote Provider support offline file, please be sure to setup Offline availability on your cloud app.
> For example, for Google Drive see [https://support.google.com/drive/answer/2375012?hl=en&co=GENIE.Platform%3DAndroid](https://support.google.com/drive/answer/2375012?hl=en&co=GENIE.Platform%3DAndroid)

